Bug 128536 - ghosting doesn't work
ghosting doesn't work
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-07-24 15:57 EDT by Jeff Bastian
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-03 14:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
snippet of auto_apps table (527 bytes, text/plain)
2004-07-26 16:44 EDT, Jeff Bastian
no flags Details

  None (edit)
Description Jeff Bastian 2004-07-24 15:57:30 EDT
Description of problem: Enabling the ghosting (aka browsing)
functionality in the daemon does not work.  It should show all
directories under a mount point when running 'ls', but they do not
appear until after you cd into a directory and it gets mounted.  The
release notes claims this is working now.  The documentation with the
new autofs, however, says that the kernel must be patched for this to
work.  Was this patch included in the 2.4.21-17 kernel?

Version-Release number of selected component (if applicable):

How reproducible: Every time.

Steps to Reproduce:
1. Start the automount daemon with ghost option, e.g.,
/usr/sbin/automount --ghost /apps yp auto_apps -ro,vers=3,proto=tcp
2. cd /apps
3. ls
Actual results:
A handful of entries are listed in the 'ls' output.

Expected results:
All 496 entries in our auto_apps table should be listed.

Additional info:
See the /usr/share/doc/autofs-4.1.3/README.ghosting file for more
details on how it works.
Comment 1 Jeffrey Moyer 2004-07-26 15:52:16 EDT
Please post the contents of auto_apps.
Comment 2 Jeff Bastian 2004-07-26 16:44:14 EDT
Created attachment 102209 [details]
snippet of auto_apps table

Here are 4 entries from our auto_apps table.  (The full table is close to 500
Comment 4 Jeffrey Moyer 2004-08-03 13:48:24 EDT
Okay, could you please also post the output from lsmod?  I'd like to
know if the autofs4 kernel module is being loaded.

Comment 5 Jeff Bastian 2004-08-03 14:14:23 EDT
Ah - good question - and no, the old autofs.o module was loaded.

After some poking around, I found this was my fault.  :(

We have an issue in RHEL Issue Tracker to get /etc/sysconfig/autofs
created, but until that's resolved (which U3 does), I had my kickstart
file install my own customized /etc/init.d/autofs, and my customized
init script was based on the older version which tried to load
autofs.o first and then autofs4.o.

I put the correct init script back in place, and with a minor hack to
fix bugzilla #128538, ghosting is working!

Thanks!  I'll close this ticket.


Note You need to log in before you can comment on or make changes to this bug.